<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib uri="http://richfaces.org/a4j" prefix="a4j"%>
<%@ taglib uri="http://richfaces.org/rich" prefix="rich"%>
<%@ taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@ taglib prefix="h" uri="http://java.sun.com/jsf/html"%>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">            
        <title>Gallery Builder</title>      
        <%--  <meta http-equiv="refresh" content="<%=session.getMaxInactiveInterval()%>;url=<%=request.getScheme()%>://<%=request.getServerName()%>:<%=request.getServerPort()%><%=request.getContextPath()%>"> --%>
    </head>
    <body>

    <f:view locale="en">
        <a4j:loadStyle src="../css/rich.css"/>
        
        <a4j:keepAlive beanName="galleryView"/> 
        <a4j:keepAlive beanName="uploaderBean"/>

        <h:form id="galleryFormId">

            <f:subview id="headerId">
                <jsp:include page="headerPanel.jsp" flush="false"/>
                <jsp:include page="headerPanelMenu.jsp" flush="false"/>
                <jsp:include page="headerPanelMenu2.jsp" flush="false"/>
            </f:subview>

            <f:subview id="errorsId">
                <jsp:include page="errors.jsp"/>                
            </f:subview>

            <f:subview id="tabPanelId">
                <h:panelGrid columns="2" columnClasses="gridContent">
                    <jsp:include page="tabbedPanel.jsp" flush="false"/>
                    <jsp:include page="photosPanel.jsp" flush="false"/>
                </h:panelGrid>
            </f:subview>
        </h:form>    
    </f:view>
    </body>
</html>
