<%@ taglib uri="http://richfaces.org/a4j" prefix="a4j"%>
<%@ taglib uri="http://richfaces.org/rich" prefix="rich"%>
<%@ taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@ taglib prefix="h" uri="http://java.sun.com/jsf/html"%>
 
<h:panelGrid columns="1" columnClasses="top,top">
    <a4j:status id="resizestatusId">
       <f:facet name="start">
           <rich:progressBar value="100" label="Resizing Please Wait..." enabled="false" minValue="-1" maxValue="100">
           </rich:progressBar>
       </f:facet>
    </a4j:status>

    <rich:fileUpload id="uploderId"
                     uploadData="#{uploaderBean.files}"
                     fileUploadListener="#{uploaderBean.listener}"
                     listWidth="350"
                     listHeight="700"
                     maxFilesQuantity="100"
                     acceptedTypes="jpg,jpeg,bmp,gif,png,mp3"
                     allowFlash="true">
        <f:facet name="label">
            <h:outputText value="{_KB}KB from {KB}KB uploaded --- {mm}:{ss}"></h:outputText>
        </f:facet>
        <a4j:support event="onuploadcomplete" action="#{uploaderBean.resize}" status="resizestatusId"/>
    </rich:fileUpload>
</h:panelGrid>
