<%@ taglib uri="http://richfaces.org/a4j" prefix="a4j"%>
<%@ taglib uri="http://richfaces.org/rich" prefix="rich"%>
<%@ taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@ taglib prefix="h" uri="http://java.sun.com/jsf/html"%>

<rich:tabPanel id="tabPanelViewId" rendered="#{galleryView.galleryVO.galleryId != null}">

        <rich:tab id="galleryTabId" label="Gallery">      
           <jsp:include page="galleryProperties.jsp"/>
        </rich:tab>
        
        <rich:tab id="uploadTabId" label="Upload" rendered="#{galleryView.userBean.userGroup != 'CN=CaptionEditorGroup'}">
           <%-- <jsp:include page="mediaUpload.jsp"/> --%>
           <jsp:include page="richMediaUpload.jsp"/>
        </rich:tab>
        
        
        <rich:tab id="reorderTabId" label="Reorder" rendered="#{galleryView.userBean.userGroup != 'CN=CaptionEditorGroup'}" disabled="#{(galleryView.galleryVO.mediaList == null) || (empty galleryView.galleryVO.mediaList)}">
            <jsp:include page="photosReorder.jsp"/>        
        </rich:tab> 

        <rich:tab id="relatedTabId" label="Related" rendered="#{galleryView.userBean.userGroup != 'CN=rephotoeditorgroup'}">        
           <jsp:include page="relatedProperties.jsp"/>
        </rich:tab>    
        
        <rich:tab id="creditTabId" label="Credits" rendered="#{galleryView.userBean.userGroup != 'CN=rephotoeditorgroup'}">
           <jsp:include page="creditProperties.jsp"/>  
        </rich:tab>   
        
        <rich:tab id="attrTabId" label="Attributes" rendered="#{galleryView.userBean.userGroup == 'CN=rephotoeditorgroup'}">
           <jsp:include page="creditProperties.jsp"/>  
        </rich:tab>   

        <rich:tab id="teaserTabId" label="Teasers" rendered="#{galleryView.userBean.userGroup != 'CN=rephotoeditorgroup'}">
           <jsp:include page="teaserProperties.jsp"/> 
        </rich:tab>
</rich:tabPanel>
